package com.mortals.xhx.module.device.model;

import java.util.List;
import com.mortals.xhx.module.device.model.DeviceEntity;
/**
 * 设备业务查询对象
 *
 * @author zxfei
 * @date 2023-04-14
 */
public class DeviceQuery extends DeviceEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点Id */
    private Long siteIdStart;

    /** 结束 站点Id */
    private Long siteIdEnd;

    /** 增加 站点Id */
    private Long siteIdIncrement;

    /** 站点Id列表 */
    private List <Long> siteIdList;

    /** 站点Id排除列表 */
    private List <Long> siteIdNotList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 设备ID，海康 */
    private List<String> deviceIdList;

    /** 设备ID，海康排除列表 */
    private List <String> deviceIdNotList;
    /** 设备名称 */
    private List<String> deviceNameList;

    /** 设备名称排除列表 */
    private List <String> deviceNameNotList;
    /** 设备编码 */
    private List<String> deviceCodeList;

    /** 设备编码排除列表 */
    private List <String> deviceCodeNotList;
    /** 设备的MAC地址 */
    private List<String> deviceMacList;

    /** 设备的MAC地址排除列表 */
    private List <String> deviceMacNotList;
    /** 设备位置 */
    private List<String> deviceLocationList;

    /** 设备位置排除列表 */
    private List <String> deviceLocationNotList;
    /** 经度 */
    private List<String> lonList;

    /** 经度排除列表 */
    private List <String> lonNotList;
    /** 纬度 */
    private List<String> latiList;

    /** 纬度排除列表 */
    private List <String> latiNotList;
    /** 开始 楼层 */
    private Integer floorStart;

    /** 结束 楼层 */
    private Integer floorEnd;

    /** 增加 楼层 */
    private Integer floorIncrement;

    /** 楼层列表 */
    private List <Integer> floorList;

    /** 楼层排除列表 */
    private List <Integer> floorNotList;

    /** 开始 楼栋 */
    private Integer buildStart;

    /** 结束 楼栋 */
    private Integer buildEnd;

    /** 增加 楼栋 */
    private Integer buildIncrement;

    /** 楼栋列表 */
    private List <Integer> buildList;

    /** 楼栋排除列表 */
    private List <Integer> buildNotList;

    /** 负责人 */
    private List<String> leadingOfficialList;

    /** 负责人排除列表 */
    private List <String> leadingOfficialNotList;
    /** 联系电话 */
    private List<String> leadingOfficialTelephoneList;

    /** 联系电话排除列表 */
    private List <String> leadingOfficialTelephoneNotList;
    /** 开始 超时时间，单位天 */
    private Integer timeOutPeriodStart;

    /** 结束 超时时间，单位天 */
    private Integer timeOutPeriodEnd;

    /** 增加 超时时间，单位天 */
    private Integer timeOutPeriodIncrement;

    /** 超时时间，单位天列表 */
    private List <Integer> timeOutPeriodList;

    /** 超时时间，单位天排除列表 */
    private List <Integer> timeOutPeriodNotList;

    /** 开始 临近时间，单位天 */
    private Integer nearTimeStart;

    /** 结束 临近时间，单位天 */
    private Integer nearTimeEnd;

    /** 增加 临近时间，单位天 */
    private Integer nearTimeIncrement;

    /** 临近时间，单位天列表 */
    private List <Integer> nearTimeList;

    /** 临近时间，单位天排除列表 */
    private List <Integer> nearTimeNotList;

    /** 开始 设备状态 (1.离线,2.在线) */
    private Integer deviceStatusStart;

    /** 结束 设备状态 (1.离线,2.在线) */
    private Integer deviceStatusEnd;

    /** 增加 设备状态 (1.离线,2.在线) */
    private Integer deviceStatusIncrement;

    /** 设备状态 (1.离线,2.在线)列表 */
    private List <Integer> deviceStatusList;

    /** 设备状态 (1.离线,2.在线)排除列表 */
    private List <Integer> deviceStatusNotList;

    /** 区域编码 */
    private List<String> regionIndexCodeList;

    /** 区域编码排除列表 */
    private List <String> regionIndexCodeNotList;
    /** 类型名称 */
    private List<String> cameraTypeNameList;

    /** 类型名称排除列表 */
    private List <String> cameraTypeNameNotList;
    /** 开始 设备类型 */
    private Integer cameraTypeStart;

    /** 结束 设备类型 */
    private Integer cameraTypeEnd;

    /** 增加 设备类型 */
    private Integer cameraTypeIncrement;

    /** 设备类型列表 */
    private List <Integer> cameraTypeList;

    /** 设备类型排除列表 */
    private List <Integer> cameraTypeNotList;

    /** 编码 */
    private List<String> encodeDevIndexCodeList;

    /** 编码排除列表 */
    private List <String> encodeDevIndexCodeNotList;
    /** 设备能力 */
    private List<String> capabilitySetList;

    /** 设备能力排除列表 */
    private List <String> capabilitySetNotList;
    /** 设备能力名称 */
    private List<String> capabilitySetNameList;

    /** 设备能力名称排除列表 */
    private List <String> capabilitySetNameNotList;
    /** 备注 */
    private List<String> deviceRemarkList;

    /** 备注排除列表 */
    private List <String> deviceRemarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DeviceQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DeviceQuery> andConditionList;

    public DeviceQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 站点Id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点Id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点Id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点Id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点Id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点Id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点Id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点Id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点Id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点Id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 站点名称
     * @return siteNameList
     */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
     * 获取 站点名称
     * @return siteNameNotList
     */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
     * 设置 站点名称
     * @param siteNameNotList
     */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
     * 获取 设备ID，海康
     * @return deviceIdList
     */
    public List<String> getDeviceIdList(){
        return this.deviceIdList;
    }

    /**
     * 设置 设备ID，海康
     * @param deviceIdList
     */
    public void setDeviceIdList(List<String> deviceIdList){
        this.deviceIdList = deviceIdList;
    }

    /**
     * 获取 设备ID，海康
     * @return deviceIdNotList
     */
    public List<String> getDeviceIdNotList(){
        return this.deviceIdNotList;
    }

    /**
     * 设置 设备ID，海康
     * @param deviceIdNotList
     */
    public void setDeviceIdNotList(List<String> deviceIdNotList){
        this.deviceIdNotList = deviceIdNotList;
    }

    /**
     * 获取 设备名称
     * @return deviceNameList
     */
    public List<String> getDeviceNameList(){
        return this.deviceNameList;
    }

    /**
     * 设置 设备名称
     * @param deviceNameList
     */
    public void setDeviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
    }

    /**
     * 获取 设备名称
     * @return deviceNameNotList
     */
    public List<String> getDeviceNameNotList(){
        return this.deviceNameNotList;
    }

    /**
     * 设置 设备名称
     * @param deviceNameNotList
     */
    public void setDeviceNameNotList(List<String> deviceNameNotList){
        this.deviceNameNotList = deviceNameNotList;
    }

    /**
     * 获取 设备编码
     * @return deviceCodeList
     */
    public List<String> getDeviceCodeList(){
        return this.deviceCodeList;
    }

    /**
     * 设置 设备编码
     * @param deviceCodeList
     */
    public void setDeviceCodeList(List<String> deviceCodeList){
        this.deviceCodeList = deviceCodeList;
    }

    /**
     * 获取 设备编码
     * @return deviceCodeNotList
     */
    public List<String> getDeviceCodeNotList(){
        return this.deviceCodeNotList;
    }

    /**
     * 设置 设备编码
     * @param deviceCodeNotList
     */
    public void setDeviceCodeNotList(List<String> deviceCodeNotList){
        this.deviceCodeNotList = deviceCodeNotList;
    }

    /**
     * 获取 设备的MAC地址
     * @return deviceMacList
     */
    public List<String> getDeviceMacList(){
        return this.deviceMacList;
    }

    /**
     * 设置 设备的MAC地址
     * @param deviceMacList
     */
    public void setDeviceMacList(List<String> deviceMacList){
        this.deviceMacList = deviceMacList;
    }

    /**
     * 获取 设备的MAC地址
     * @return deviceMacNotList
     */
    public List<String> getDeviceMacNotList(){
        return this.deviceMacNotList;
    }

    /**
     * 设置 设备的MAC地址
     * @param deviceMacNotList
     */
    public void setDeviceMacNotList(List<String> deviceMacNotList){
        this.deviceMacNotList = deviceMacNotList;
    }

    /**
     * 获取 设备位置
     * @return deviceLocationList
     */
    public List<String> getDeviceLocationList(){
        return this.deviceLocationList;
    }

    /**
     * 设置 设备位置
     * @param deviceLocationList
     */
    public void setDeviceLocationList(List<String> deviceLocationList){
        this.deviceLocationList = deviceLocationList;
    }

    /**
     * 获取 设备位置
     * @return deviceLocationNotList
     */
    public List<String> getDeviceLocationNotList(){
        return this.deviceLocationNotList;
    }

    /**
     * 设置 设备位置
     * @param deviceLocationNotList
     */
    public void setDeviceLocationNotList(List<String> deviceLocationNotList){
        this.deviceLocationNotList = deviceLocationNotList;
    }

    /**
     * 获取 经度
     * @return lonList
     */
    public List<String> getLonList(){
        return this.lonList;
    }

    /**
     * 设置 经度
     * @param lonList
     */
    public void setLonList(List<String> lonList){
        this.lonList = lonList;
    }

    /**
     * 获取 经度
     * @return lonNotList
     */
    public List<String> getLonNotList(){
        return this.lonNotList;
    }

    /**
     * 设置 经度
     * @param lonNotList
     */
    public void setLonNotList(List<String> lonNotList){
        this.lonNotList = lonNotList;
    }

    /**
     * 获取 纬度
     * @return latiList
     */
    public List<String> getLatiList(){
        return this.latiList;
    }

    /**
     * 设置 纬度
     * @param latiList
     */
    public void setLatiList(List<String> latiList){
        this.latiList = latiList;
    }

    /**
     * 获取 纬度
     * @return latiNotList
     */
    public List<String> getLatiNotList(){
        return this.latiNotList;
    }

    /**
     * 设置 纬度
     * @param latiNotList
     */
    public void setLatiNotList(List<String> latiNotList){
        this.latiNotList = latiNotList;
    }

    /**
     * 获取 开始 楼层
     * @return floorStart
     */
    public Integer getFloorStart(){
        return this.floorStart;
    }

    /**
     * 设置 开始 楼层
     * @param floorStart
     */
    public void setFloorStart(Integer floorStart){
        this.floorStart = floorStart;
    }

    /**
     * 获取 结束 楼层
     * @return $floorEnd
     */
    public Integer getFloorEnd(){
        return this.floorEnd;
    }

    /**
     * 设置 结束 楼层
     * @param floorEnd
     */
    public void setFloorEnd(Integer floorEnd){
        this.floorEnd = floorEnd;
    }

    /**
     * 获取 增加 楼层
     * @return floorIncrement
     */
    public Integer getFloorIncrement(){
        return this.floorIncrement;
    }

    /**
     * 设置 增加 楼层
     * @param floorIncrement
     */
    public void setFloorIncrement(Integer floorIncrement){
        this.floorIncrement = floorIncrement;
    }

    /**
     * 获取 楼层
     * @return floorList
     */
    public List<Integer> getFloorList(){
        return this.floorList;
    }

    /**
     * 设置 楼层
     * @param floorList
     */
    public void setFloorList(List<Integer> floorList){
        this.floorList = floorList;
    }

    /**
     * 获取 楼层
     * @return floorNotList
     */
    public List<Integer> getFloorNotList(){
        return this.floorNotList;
    }

    /**
     * 设置 楼层
     * @param floorNotList
     */
    public void setFloorNotList(List<Integer> floorNotList){
        this.floorNotList = floorNotList;
    }


    /**
     * 获取 开始 楼栋
     * @return buildStart
     */
    public Integer getBuildStart(){
        return this.buildStart;
    }

    /**
     * 设置 开始 楼栋
     * @param buildStart
     */
    public void setBuildStart(Integer buildStart){
        this.buildStart = buildStart;
    }

    /**
     * 获取 结束 楼栋
     * @return $buildEnd
     */
    public Integer getBuildEnd(){
        return this.buildEnd;
    }

    /**
     * 设置 结束 楼栋
     * @param buildEnd
     */
    public void setBuildEnd(Integer buildEnd){
        this.buildEnd = buildEnd;
    }

    /**
     * 获取 增加 楼栋
     * @return buildIncrement
     */
    public Integer getBuildIncrement(){
        return this.buildIncrement;
    }

    /**
     * 设置 增加 楼栋
     * @param buildIncrement
     */
    public void setBuildIncrement(Integer buildIncrement){
        this.buildIncrement = buildIncrement;
    }

    /**
     * 获取 楼栋
     * @return buildList
     */
    public List<Integer> getBuildList(){
        return this.buildList;
    }

    /**
     * 设置 楼栋
     * @param buildList
     */
    public void setBuildList(List<Integer> buildList){
        this.buildList = buildList;
    }

    /**
     * 获取 楼栋
     * @return buildNotList
     */
    public List<Integer> getBuildNotList(){
        return this.buildNotList;
    }

    /**
     * 设置 楼栋
     * @param buildNotList
     */
    public void setBuildNotList(List<Integer> buildNotList){
        this.buildNotList = buildNotList;
    }


    /**
     * 获取 负责人
     * @return leadingOfficialList
     */
    public List<String> getLeadingOfficialList(){
        return this.leadingOfficialList;
    }

    /**
     * 设置 负责人
     * @param leadingOfficialList
     */
    public void setLeadingOfficialList(List<String> leadingOfficialList){
        this.leadingOfficialList = leadingOfficialList;
    }

    /**
     * 获取 负责人
     * @return leadingOfficialNotList
     */
    public List<String> getLeadingOfficialNotList(){
        return this.leadingOfficialNotList;
    }

    /**
     * 设置 负责人
     * @param leadingOfficialNotList
     */
    public void setLeadingOfficialNotList(List<String> leadingOfficialNotList){
        this.leadingOfficialNotList = leadingOfficialNotList;
    }

    /**
     * 获取 联系电话
     * @return leadingOfficialTelephoneList
     */
    public List<String> getLeadingOfficialTelephoneList(){
        return this.leadingOfficialTelephoneList;
    }

    /**
     * 设置 联系电话
     * @param leadingOfficialTelephoneList
     */
    public void setLeadingOfficialTelephoneList(List<String> leadingOfficialTelephoneList){
        this.leadingOfficialTelephoneList = leadingOfficialTelephoneList;
    }

    /**
     * 获取 联系电话
     * @return leadingOfficialTelephoneNotList
     */
    public List<String> getLeadingOfficialTelephoneNotList(){
        return this.leadingOfficialTelephoneNotList;
    }

    /**
     * 设置 联系电话
     * @param leadingOfficialTelephoneNotList
     */
    public void setLeadingOfficialTelephoneNotList(List<String> leadingOfficialTelephoneNotList){
        this.leadingOfficialTelephoneNotList = leadingOfficialTelephoneNotList;
    }

    /**
     * 获取 开始 超时时间，单位天
     * @return timeOutPeriodStart
     */
    public Integer getTimeOutPeriodStart(){
        return this.timeOutPeriodStart;
    }

    /**
     * 设置 开始 超时时间，单位天
     * @param timeOutPeriodStart
     */
    public void setTimeOutPeriodStart(Integer timeOutPeriodStart){
        this.timeOutPeriodStart = timeOutPeriodStart;
    }

    /**
     * 获取 结束 超时时间，单位天
     * @return $timeOutPeriodEnd
     */
    public Integer getTimeOutPeriodEnd(){
        return this.timeOutPeriodEnd;
    }

    /**
     * 设置 结束 超时时间，单位天
     * @param timeOutPeriodEnd
     */
    public void setTimeOutPeriodEnd(Integer timeOutPeriodEnd){
        this.timeOutPeriodEnd = timeOutPeriodEnd;
    }

    /**
     * 获取 增加 超时时间，单位天
     * @return timeOutPeriodIncrement
     */
    public Integer getTimeOutPeriodIncrement(){
        return this.timeOutPeriodIncrement;
    }

    /**
     * 设置 增加 超时时间，单位天
     * @param timeOutPeriodIncrement
     */
    public void setTimeOutPeriodIncrement(Integer timeOutPeriodIncrement){
        this.timeOutPeriodIncrement = timeOutPeriodIncrement;
    }

    /**
     * 获取 超时时间，单位天
     * @return timeOutPeriodList
     */
    public List<Integer> getTimeOutPeriodList(){
        return this.timeOutPeriodList;
    }

    /**
     * 设置 超时时间，单位天
     * @param timeOutPeriodList
     */
    public void setTimeOutPeriodList(List<Integer> timeOutPeriodList){
        this.timeOutPeriodList = timeOutPeriodList;
    }

    /**
     * 获取 超时时间，单位天
     * @return timeOutPeriodNotList
     */
    public List<Integer> getTimeOutPeriodNotList(){
        return this.timeOutPeriodNotList;
    }

    /**
     * 设置 超时时间，单位天
     * @param timeOutPeriodNotList
     */
    public void setTimeOutPeriodNotList(List<Integer> timeOutPeriodNotList){
        this.timeOutPeriodNotList = timeOutPeriodNotList;
    }


    /**
     * 获取 开始 临近时间，单位天
     * @return nearTimeStart
     */
    public Integer getNearTimeStart(){
        return this.nearTimeStart;
    }

    /**
     * 设置 开始 临近时间，单位天
     * @param nearTimeStart
     */
    public void setNearTimeStart(Integer nearTimeStart){
        this.nearTimeStart = nearTimeStart;
    }

    /**
     * 获取 结束 临近时间，单位天
     * @return $nearTimeEnd
     */
    public Integer getNearTimeEnd(){
        return this.nearTimeEnd;
    }

    /**
     * 设置 结束 临近时间，单位天
     * @param nearTimeEnd
     */
    public void setNearTimeEnd(Integer nearTimeEnd){
        this.nearTimeEnd = nearTimeEnd;
    }

    /**
     * 获取 增加 临近时间，单位天
     * @return nearTimeIncrement
     */
    public Integer getNearTimeIncrement(){
        return this.nearTimeIncrement;
    }

    /**
     * 设置 增加 临近时间，单位天
     * @param nearTimeIncrement
     */
    public void setNearTimeIncrement(Integer nearTimeIncrement){
        this.nearTimeIncrement = nearTimeIncrement;
    }

    /**
     * 获取 临近时间，单位天
     * @return nearTimeList
     */
    public List<Integer> getNearTimeList(){
        return this.nearTimeList;
    }

    /**
     * 设置 临近时间，单位天
     * @param nearTimeList
     */
    public void setNearTimeList(List<Integer> nearTimeList){
        this.nearTimeList = nearTimeList;
    }

    /**
     * 获取 临近时间，单位天
     * @return nearTimeNotList
     */
    public List<Integer> getNearTimeNotList(){
        return this.nearTimeNotList;
    }

    /**
     * 设置 临近时间，单位天
     * @param nearTimeNotList
     */
    public void setNearTimeNotList(List<Integer> nearTimeNotList){
        this.nearTimeNotList = nearTimeNotList;
    }


    /**
     * 获取 开始 设备状态 (1.离线,2.在线)
     * @return deviceStatusStart
     */
    public Integer getDeviceStatusStart(){
        return this.deviceStatusStart;
    }

    /**
     * 设置 开始 设备状态 (1.离线,2.在线)
     * @param deviceStatusStart
     */
    public void setDeviceStatusStart(Integer deviceStatusStart){
        this.deviceStatusStart = deviceStatusStart;
    }

    /**
     * 获取 结束 设备状态 (1.离线,2.在线)
     * @return $deviceStatusEnd
     */
    public Integer getDeviceStatusEnd(){
        return this.deviceStatusEnd;
    }

    /**
     * 设置 结束 设备状态 (1.离线,2.在线)
     * @param deviceStatusEnd
     */
    public void setDeviceStatusEnd(Integer deviceStatusEnd){
        this.deviceStatusEnd = deviceStatusEnd;
    }

    /**
     * 获取 增加 设备状态 (1.离线,2.在线)
     * @return deviceStatusIncrement
     */
    public Integer getDeviceStatusIncrement(){
        return this.deviceStatusIncrement;
    }

    /**
     * 设置 增加 设备状态 (1.离线,2.在线)
     * @param deviceStatusIncrement
     */
    public void setDeviceStatusIncrement(Integer deviceStatusIncrement){
        this.deviceStatusIncrement = deviceStatusIncrement;
    }

    /**
     * 获取 设备状态 (1.离线,2.在线)
     * @return deviceStatusList
     */
    public List<Integer> getDeviceStatusList(){
        return this.deviceStatusList;
    }

    /**
     * 设置 设备状态 (1.离线,2.在线)
     * @param deviceStatusList
     */
    public void setDeviceStatusList(List<Integer> deviceStatusList){
        this.deviceStatusList = deviceStatusList;
    }

    /**
     * 获取 设备状态 (1.离线,2.在线)
     * @return deviceStatusNotList
     */
    public List<Integer> getDeviceStatusNotList(){
        return this.deviceStatusNotList;
    }

    /**
     * 设置 设备状态 (1.离线,2.在线)
     * @param deviceStatusNotList
     */
    public void setDeviceStatusNotList(List<Integer> deviceStatusNotList){
        this.deviceStatusNotList = deviceStatusNotList;
    }


    /**
     * 获取 区域编码
     * @return regionIndexCodeList
     */
    public List<String> getRegionIndexCodeList(){
        return this.regionIndexCodeList;
    }

    /**
     * 设置 区域编码
     * @param regionIndexCodeList
     */
    public void setRegionIndexCodeList(List<String> regionIndexCodeList){
        this.regionIndexCodeList = regionIndexCodeList;
    }

    /**
     * 获取 区域编码
     * @return regionIndexCodeNotList
     */
    public List<String> getRegionIndexCodeNotList(){
        return this.regionIndexCodeNotList;
    }

    /**
     * 设置 区域编码
     * @param regionIndexCodeNotList
     */
    public void setRegionIndexCodeNotList(List<String> regionIndexCodeNotList){
        this.regionIndexCodeNotList = regionIndexCodeNotList;
    }

    /**
     * 获取 类型名称
     * @return cameraTypeNameList
     */
    public List<String> getCameraTypeNameList(){
        return this.cameraTypeNameList;
    }

    /**
     * 设置 类型名称
     * @param cameraTypeNameList
     */
    public void setCameraTypeNameList(List<String> cameraTypeNameList){
        this.cameraTypeNameList = cameraTypeNameList;
    }

    /**
     * 获取 类型名称
     * @return cameraTypeNameNotList
     */
    public List<String> getCameraTypeNameNotList(){
        return this.cameraTypeNameNotList;
    }

    /**
     * 设置 类型名称
     * @param cameraTypeNameNotList
     */
    public void setCameraTypeNameNotList(List<String> cameraTypeNameNotList){
        this.cameraTypeNameNotList = cameraTypeNameNotList;
    }

    /**
     * 获取 开始 设备类型
     * @return cameraTypeStart
     */
    public Integer getCameraTypeStart(){
        return this.cameraTypeStart;
    }

    /**
     * 设置 开始 设备类型
     * @param cameraTypeStart
     */
    public void setCameraTypeStart(Integer cameraTypeStart){
        this.cameraTypeStart = cameraTypeStart;
    }

    /**
     * 获取 结束 设备类型
     * @return $cameraTypeEnd
     */
    public Integer getCameraTypeEnd(){
        return this.cameraTypeEnd;
    }

    /**
     * 设置 结束 设备类型
     * @param cameraTypeEnd
     */
    public void setCameraTypeEnd(Integer cameraTypeEnd){
        this.cameraTypeEnd = cameraTypeEnd;
    }

    /**
     * 获取 增加 设备类型
     * @return cameraTypeIncrement
     */
    public Integer getCameraTypeIncrement(){
        return this.cameraTypeIncrement;
    }

    /**
     * 设置 增加 设备类型
     * @param cameraTypeIncrement
     */
    public void setCameraTypeIncrement(Integer cameraTypeIncrement){
        this.cameraTypeIncrement = cameraTypeIncrement;
    }

    /**
     * 获取 设备类型
     * @return cameraTypeList
     */
    public List<Integer> getCameraTypeList(){
        return this.cameraTypeList;
    }

    /**
     * 设置 设备类型
     * @param cameraTypeList
     */
    public void setCameraTypeList(List<Integer> cameraTypeList){
        this.cameraTypeList = cameraTypeList;
    }

    /**
     * 获取 设备类型
     * @return cameraTypeNotList
     */
    public List<Integer> getCameraTypeNotList(){
        return this.cameraTypeNotList;
    }

    /**
     * 设置 设备类型
     * @param cameraTypeNotList
     */
    public void setCameraTypeNotList(List<Integer> cameraTypeNotList){
        this.cameraTypeNotList = cameraTypeNotList;
    }


    /**
     * 获取 编码
     * @return encodeDevIndexCodeList
     */
    public List<String> getEncodeDevIndexCodeList(){
        return this.encodeDevIndexCodeList;
    }

    /**
     * 设置 编码
     * @param encodeDevIndexCodeList
     */
    public void setEncodeDevIndexCodeList(List<String> encodeDevIndexCodeList){
        this.encodeDevIndexCodeList = encodeDevIndexCodeList;
    }

    /**
     * 获取 编码
     * @return encodeDevIndexCodeNotList
     */
    public List<String> getEncodeDevIndexCodeNotList(){
        return this.encodeDevIndexCodeNotList;
    }

    /**
     * 设置 编码
     * @param encodeDevIndexCodeNotList
     */
    public void setEncodeDevIndexCodeNotList(List<String> encodeDevIndexCodeNotList){
        this.encodeDevIndexCodeNotList = encodeDevIndexCodeNotList;
    }

    /**
     * 获取 设备能力
     * @return capabilitySetList
     */
    public List<String> getCapabilitySetList(){
        return this.capabilitySetList;
    }

    /**
     * 设置 设备能力
     * @param capabilitySetList
     */
    public void setCapabilitySetList(List<String> capabilitySetList){
        this.capabilitySetList = capabilitySetList;
    }

    /**
     * 获取 设备能力
     * @return capabilitySetNotList
     */
    public List<String> getCapabilitySetNotList(){
        return this.capabilitySetNotList;
    }

    /**
     * 设置 设备能力
     * @param capabilitySetNotList
     */
    public void setCapabilitySetNotList(List<String> capabilitySetNotList){
        this.capabilitySetNotList = capabilitySetNotList;
    }

    /**
     * 获取 设备能力名称
     * @return capabilitySetNameList
     */
    public List<String> getCapabilitySetNameList(){
        return this.capabilitySetNameList;
    }

    /**
     * 设置 设备能力名称
     * @param capabilitySetNameList
     */
    public void setCapabilitySetNameList(List<String> capabilitySetNameList){
        this.capabilitySetNameList = capabilitySetNameList;
    }

    /**
     * 获取 设备能力名称
     * @return capabilitySetNameNotList
     */
    public List<String> getCapabilitySetNameNotList(){
        return this.capabilitySetNameNotList;
    }

    /**
     * 设置 设备能力名称
     * @param capabilitySetNameNotList
     */
    public void setCapabilitySetNameNotList(List<String> capabilitySetNameNotList){
        this.capabilitySetNameNotList = capabilitySetNameNotList;
    }

    /**
     * 获取 备注
     * @return deviceRemarkList
     */
    public List<String> getDeviceRemarkList(){
        return this.deviceRemarkList;
    }

    /**
     * 设置 备注
     * @param deviceRemarkList
     */
    public void setDeviceRemarkList(List<String> deviceRemarkList){
        this.deviceRemarkList = deviceRemarkList;
    }

    /**
     * 获取 备注
     * @return deviceRemarkNotList
     */
    public List<String> getDeviceRemarkNotList(){
        return this.deviceRemarkNotList;
    }

    /**
     * 设置 备注
     * @param deviceRemarkNotList
     */
    public void setDeviceRemarkNotList(List<String> deviceRemarkNotList){
        this.deviceRemarkNotList = deviceRemarkNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public DeviceQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public DeviceQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public DeviceQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public DeviceQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public DeviceQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public DeviceQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  站点Id
     * @param siteId
     */
    public DeviceQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点Id
     * @param siteIdStart
     */
    public DeviceQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点Id
     * @param siteIdEnd
     */
    public DeviceQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点Id
     * @param siteIdIncrement
     */
    public DeviceQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点Id
     * @param siteIdList
     */
    public DeviceQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点Id
     * @param siteIdNotList
     */
    public DeviceQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }


    /**
     * 设置 站点名称
     * @param siteName
     */
    public DeviceQuery siteName(String siteName){
        setSiteName(siteName);
        return this;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public DeviceQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
        return this;
    }


    /**
     * 设置 设备ID，海康
     * @param deviceId
     */
    public DeviceQuery deviceId(String deviceId){
        setDeviceId(deviceId);
        return this;
    }

    /**
     * 设置 设备ID，海康
     * @param deviceIdList
     */
    public DeviceQuery deviceIdList(List<String> deviceIdList){
        this.deviceIdList = deviceIdList;
        return this;
    }


    /**
     * 设置 设备名称
     * @param deviceName
     */
    public DeviceQuery deviceName(String deviceName){
        setDeviceName(deviceName);
        return this;
    }

    /**
     * 设置 设备名称
     * @param deviceNameList
     */
    public DeviceQuery deviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
        return this;
    }


    /**
     * 设置 设备编码
     * @param deviceCode
     */
    public DeviceQuery deviceCode(String deviceCode){
        setDeviceCode(deviceCode);
        return this;
    }

    /**
     * 设置 设备编码
     * @param deviceCodeList
     */
    public DeviceQuery deviceCodeList(List<String> deviceCodeList){
        this.deviceCodeList = deviceCodeList;
        return this;
    }


    /**
     * 设置 设备的MAC地址
     * @param deviceMac
     */
    public DeviceQuery deviceMac(String deviceMac){
        setDeviceMac(deviceMac);
        return this;
    }

    /**
     * 设置 设备的MAC地址
     * @param deviceMacList
     */
    public DeviceQuery deviceMacList(List<String> deviceMacList){
        this.deviceMacList = deviceMacList;
        return this;
    }


    /**
     * 设置 设备位置
     * @param deviceLocation
     */
    public DeviceQuery deviceLocation(String deviceLocation){
        setDeviceLocation(deviceLocation);
        return this;
    }

    /**
     * 设置 设备位置
     * @param deviceLocationList
     */
    public DeviceQuery deviceLocationList(List<String> deviceLocationList){
        this.deviceLocationList = deviceLocationList;
        return this;
    }


    /**
     * 设置 经度
     * @param lon
     */
    public DeviceQuery lon(String lon){
        setLon(lon);
        return this;
    }

    /**
     * 设置 经度
     * @param lonList
     */
    public DeviceQuery lonList(List<String> lonList){
        this.lonList = lonList;
        return this;
    }


    /**
     * 设置 纬度
     * @param lati
     */
    public DeviceQuery lati(String lati){
        setLati(lati);
        return this;
    }

    /**
     * 设置 纬度
     * @param latiList
     */
    public DeviceQuery latiList(List<String> latiList){
        this.latiList = latiList;
        return this;
    }

    /**
     * 设置  楼层
     * @param floor
     */
    public DeviceQuery floor(Integer floor){
        setFloor(floor);
        return this;
    }

    /**
     * 设置 开始 楼层
     * @param floorStart
     */
    public DeviceQuery floorStart(Integer floorStart){
        this.floorStart = floorStart;
        return this;
    }

    /**
     * 设置 结束 楼层
     * @param floorEnd
     */
    public DeviceQuery floorEnd(Integer floorEnd){
        this.floorEnd = floorEnd;
        return this;
    }

    /**
     * 设置 增加 楼层
     * @param floorIncrement
     */
    public DeviceQuery floorIncrement(Integer floorIncrement){
        this.floorIncrement = floorIncrement;
        return this;
    }

    /**
     * 设置 楼层
     * @param floorList
     */
    public DeviceQuery floorList(List<Integer> floorList){
        this.floorList = floorList;
        return this;
    }

    /**
     * 设置 楼层
     * @param floorNotList
     */
    public DeviceQuery floorNotList(List<Integer> floorNotList){
        this.floorNotList = floorNotList;
        return this;
    }

    /**
     * 设置  楼栋
     * @param build
     */
    public DeviceQuery build(Integer build){
        setBuild(build);
        return this;
    }

    /**
     * 设置 开始 楼栋
     * @param buildStart
     */
    public DeviceQuery buildStart(Integer buildStart){
        this.buildStart = buildStart;
        return this;
    }

    /**
     * 设置 结束 楼栋
     * @param buildEnd
     */
    public DeviceQuery buildEnd(Integer buildEnd){
        this.buildEnd = buildEnd;
        return this;
    }

    /**
     * 设置 增加 楼栋
     * @param buildIncrement
     */
    public DeviceQuery buildIncrement(Integer buildIncrement){
        this.buildIncrement = buildIncrement;
        return this;
    }

    /**
     * 设置 楼栋
     * @param buildList
     */
    public DeviceQuery buildList(List<Integer> buildList){
        this.buildList = buildList;
        return this;
    }

    /**
     * 设置 楼栋
     * @param buildNotList
     */
    public DeviceQuery buildNotList(List<Integer> buildNotList){
        this.buildNotList = buildNotList;
        return this;
    }


    /**
     * 设置 负责人
     * @param leadingOfficial
     */
    public DeviceQuery leadingOfficial(String leadingOfficial){
        setLeadingOfficial(leadingOfficial);
        return this;
    }

    /**
     * 设置 负责人
     * @param leadingOfficialList
     */
    public DeviceQuery leadingOfficialList(List<String> leadingOfficialList){
        this.leadingOfficialList = leadingOfficialList;
        return this;
    }


    /**
     * 设置 联系电话
     * @param leadingOfficialTelephone
     */
    public DeviceQuery leadingOfficialTelephone(String leadingOfficialTelephone){
        setLeadingOfficialTelephone(leadingOfficialTelephone);
        return this;
    }

    /**
     * 设置 联系电话
     * @param leadingOfficialTelephoneList
     */
    public DeviceQuery leadingOfficialTelephoneList(List<String> leadingOfficialTelephoneList){
        this.leadingOfficialTelephoneList = leadingOfficialTelephoneList;
        return this;
    }

    /**
     * 设置  超时时间，单位天
     * @param timeOutPeriod
     */
    public DeviceQuery timeOutPeriod(Integer timeOutPeriod){
        setTimeOutPeriod(timeOutPeriod);
        return this;
    }

    /**
     * 设置 开始 超时时间，单位天
     * @param timeOutPeriodStart
     */
    public DeviceQuery timeOutPeriodStart(Integer timeOutPeriodStart){
        this.timeOutPeriodStart = timeOutPeriodStart;
        return this;
    }

    /**
     * 设置 结束 超时时间，单位天
     * @param timeOutPeriodEnd
     */
    public DeviceQuery timeOutPeriodEnd(Integer timeOutPeriodEnd){
        this.timeOutPeriodEnd = timeOutPeriodEnd;
        return this;
    }

    /**
     * 设置 增加 超时时间，单位天
     * @param timeOutPeriodIncrement
     */
    public DeviceQuery timeOutPeriodIncrement(Integer timeOutPeriodIncrement){
        this.timeOutPeriodIncrement = timeOutPeriodIncrement;
        return this;
    }

    /**
     * 设置 超时时间，单位天
     * @param timeOutPeriodList
     */
    public DeviceQuery timeOutPeriodList(List<Integer> timeOutPeriodList){
        this.timeOutPeriodList = timeOutPeriodList;
        return this;
    }

    /**
     * 设置 超时时间，单位天
     * @param timeOutPeriodNotList
     */
    public DeviceQuery timeOutPeriodNotList(List<Integer> timeOutPeriodNotList){
        this.timeOutPeriodNotList = timeOutPeriodNotList;
        return this;
    }

    /**
     * 设置  临近时间，单位天
     * @param nearTime
     */
    public DeviceQuery nearTime(Integer nearTime){
        setNearTime(nearTime);
        return this;
    }

    /**
     * 设置 开始 临近时间，单位天
     * @param nearTimeStart
     */
    public DeviceQuery nearTimeStart(Integer nearTimeStart){
        this.nearTimeStart = nearTimeStart;
        return this;
    }

    /**
     * 设置 结束 临近时间，单位天
     * @param nearTimeEnd
     */
    public DeviceQuery nearTimeEnd(Integer nearTimeEnd){
        this.nearTimeEnd = nearTimeEnd;
        return this;
    }

    /**
     * 设置 增加 临近时间，单位天
     * @param nearTimeIncrement
     */
    public DeviceQuery nearTimeIncrement(Integer nearTimeIncrement){
        this.nearTimeIncrement = nearTimeIncrement;
        return this;
    }

    /**
     * 设置 临近时间，单位天
     * @param nearTimeList
     */
    public DeviceQuery nearTimeList(List<Integer> nearTimeList){
        this.nearTimeList = nearTimeList;
        return this;
    }

    /**
     * 设置 临近时间，单位天
     * @param nearTimeNotList
     */
    public DeviceQuery nearTimeNotList(List<Integer> nearTimeNotList){
        this.nearTimeNotList = nearTimeNotList;
        return this;
    }

    /**
     * 设置  设备状态 (1.离线,2.在线)
     * @param deviceStatus
     */
    public DeviceQuery deviceStatus(Integer deviceStatus){
        setDeviceStatus(deviceStatus);
        return this;
    }

    /**
     * 设置 开始 设备状态 (1.离线,2.在线)
     * @param deviceStatusStart
     */
    public DeviceQuery deviceStatusStart(Integer deviceStatusStart){
        this.deviceStatusStart = deviceStatusStart;
        return this;
    }

    /**
     * 设置 结束 设备状态 (1.离线,2.在线)
     * @param deviceStatusEnd
     */
    public DeviceQuery deviceStatusEnd(Integer deviceStatusEnd){
        this.deviceStatusEnd = deviceStatusEnd;
        return this;
    }

    /**
     * 设置 增加 设备状态 (1.离线,2.在线)
     * @param deviceStatusIncrement
     */
    public DeviceQuery deviceStatusIncrement(Integer deviceStatusIncrement){
        this.deviceStatusIncrement = deviceStatusIncrement;
        return this;
    }

    /**
     * 设置 设备状态 (1.离线,2.在线)
     * @param deviceStatusList
     */
    public DeviceQuery deviceStatusList(List<Integer> deviceStatusList){
        this.deviceStatusList = deviceStatusList;
        return this;
    }

    /**
     * 设置 设备状态 (1.离线,2.在线)
     * @param deviceStatusNotList
     */
    public DeviceQuery deviceStatusNotList(List<Integer> deviceStatusNotList){
        this.deviceStatusNotList = deviceStatusNotList;
        return this;
    }


    /**
     * 设置 区域编码
     * @param regionIndexCode
     */
    public DeviceQuery regionIndexCode(String regionIndexCode){
        setRegionIndexCode(regionIndexCode);
        return this;
    }

    /**
     * 设置 区域编码
     * @param regionIndexCodeList
     */
    public DeviceQuery regionIndexCodeList(List<String> regionIndexCodeList){
        this.regionIndexCodeList = regionIndexCodeList;
        return this;
    }


    /**
     * 设置 类型名称
     * @param cameraTypeName
     */
    public DeviceQuery cameraTypeName(String cameraTypeName){
        setCameraTypeName(cameraTypeName);
        return this;
    }

    /**
     * 设置 类型名称
     * @param cameraTypeNameList
     */
    public DeviceQuery cameraTypeNameList(List<String> cameraTypeNameList){
        this.cameraTypeNameList = cameraTypeNameList;
        return this;
    }

    /**
     * 设置  设备类型
     * @param cameraType
     */
    public DeviceQuery cameraType(Integer cameraType){
        setCameraType(cameraType);
        return this;
    }

    /**
     * 设置 开始 设备类型
     * @param cameraTypeStart
     */
    public DeviceQuery cameraTypeStart(Integer cameraTypeStart){
        this.cameraTypeStart = cameraTypeStart;
        return this;
    }

    /**
     * 设置 结束 设备类型
     * @param cameraTypeEnd
     */
    public DeviceQuery cameraTypeEnd(Integer cameraTypeEnd){
        this.cameraTypeEnd = cameraTypeEnd;
        return this;
    }

    /**
     * 设置 增加 设备类型
     * @param cameraTypeIncrement
     */
    public DeviceQuery cameraTypeIncrement(Integer cameraTypeIncrement){
        this.cameraTypeIncrement = cameraTypeIncrement;
        return this;
    }

    /**
     * 设置 设备类型
     * @param cameraTypeList
     */
    public DeviceQuery cameraTypeList(List<Integer> cameraTypeList){
        this.cameraTypeList = cameraTypeList;
        return this;
    }

    /**
     * 设置 设备类型
     * @param cameraTypeNotList
     */
    public DeviceQuery cameraTypeNotList(List<Integer> cameraTypeNotList){
        this.cameraTypeNotList = cameraTypeNotList;
        return this;
    }


    /**
     * 设置 编码
     * @param encodeDevIndexCode
     */
    public DeviceQuery encodeDevIndexCode(String encodeDevIndexCode){
        setEncodeDevIndexCode(encodeDevIndexCode);
        return this;
    }

    /**
     * 设置 编码
     * @param encodeDevIndexCodeList
     */
    public DeviceQuery encodeDevIndexCodeList(List<String> encodeDevIndexCodeList){
        this.encodeDevIndexCodeList = encodeDevIndexCodeList;
        return this;
    }


    /**
     * 设置 设备能力
     * @param capabilitySet
     */
    public DeviceQuery capabilitySet(String capabilitySet){
        setCapabilitySet(capabilitySet);
        return this;
    }

    /**
     * 设置 设备能力
     * @param capabilitySetList
     */
    public DeviceQuery capabilitySetList(List<String> capabilitySetList){
        this.capabilitySetList = capabilitySetList;
        return this;
    }


    /**
     * 设置 设备能力名称
     * @param capabilitySetName
     */
    public DeviceQuery capabilitySetName(String capabilitySetName){
        setCapabilitySetName(capabilitySetName);
        return this;
    }

    /**
     * 设置 设备能力名称
     * @param capabilitySetNameList
     */
    public DeviceQuery capabilitySetNameList(List<String> capabilitySetNameList){
        this.capabilitySetNameList = capabilitySetNameList;
        return this;
    }


    /**
     * 设置 备注
     * @param deviceRemark
     */
    public DeviceQuery deviceRemark(String deviceRemark){
        setDeviceRemark(deviceRemark);
        return this;
    }

    /**
     * 设置 备注
     * @param deviceRemarkList
     */
    public DeviceQuery deviceRemarkList(List<String> deviceRemarkList){
        this.deviceRemarkList = deviceRemarkList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public DeviceQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public DeviceQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public DeviceQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public DeviceQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public DeviceQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public DeviceQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public DeviceQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public DeviceQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public DeviceQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public DeviceQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public DeviceQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public DeviceQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<DeviceQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<DeviceQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<DeviceQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<DeviceQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}